<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HW3 - find-multiples</title>
</head>

<body>

    <script>
        // Завдання #1 
        let userNumber;
        let isMultiple = false;

        do {
            userNumber = +prompt("Please enter an integer")
        } while (Number.isInteger(userNumber) == false)

        for (let i = 1; i < userNumber + 1; i++) {
            if (i % 5 == 0) {
                isMultiple = true
                console.log(i)
            }
        }

        if (isMultiple == false) {
            console.log("Sorry, no numbers")
        }


        // Необов'язкове завдання
        do {
            m = +prompt("Please enter lower integer");
            n = +prompt("Please enter higher integer");
        } while ((Number.isInteger(m) == false) || (Number.isInteger(n) == false) || (n <= m))

        console.log(`The prime numbers between ${m} and ${n} are:`);

        for (let i = m; i <= n; i++) {
            let checker = 0;
            for (let j = 2; j < i; j++) {
                if (i % j == 0) {
                    checker = 1;
                    break;
                }
            }
            if (i > 1 && checker == 0) {
                console.log(i);
            }
        }
        
    </script>

</body>

</html>